summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Petar Petrov2012-06-30 18:32:44 +0200
committer dsomero2012-06-30 18:32:44 +0200
commitb2fa5335671aab468587dc815a70b3dfaa370f43 (patch)
tree6be1273dcbd59e2859e06ccc0599b21d8a7fcd0f /misc
parent526f424fc825c86f901785ba95309bda4756fc47 (diff)
downloadslackbuilds-b2fa5335671aab468587dc815a70b3dfaa370f43.tar.gz
misc/igal2: Added (image gallery generator)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/igal2/README3
-rw-r--r--misc/igal2/igal2.SlackBuild84
-rw-r--r--misc/igal2/igal2.info10
-rw-r--r--misc/igal2/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/misc/igal2/README b/misc/igal2/README
new file mode 100644
index 0000000000..dd2d0b0b83
--- /dev/null
+++ b/misc/igal2/README
@@ -0,0 +1,3 @@
+igal2 is a quick and easy program for placing your images online with
+just one command-line. It generates a pretty good-looking set of
+W3-compliant static HTML slides even with its default settings.
diff --git a/misc/igal2/igal2.SlackBuild b/misc/igal2/igal2.SlackBuild
new file mode 100644
index 0000000000..bc4607fc7c
--- /dev/null
+++ b/misc/igal2/igal2.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for igal2
+
+# Copyright 2012 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=igal2
+VERSION=${VERSION:-2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# We'll put these in the doc directory later
+sed -i "s:README::" Makefile
+sed -i "s:ChangeLog::" Makefile
+sed -i "s:COPYING::" Makefile
+
+# Arch-independent files should go in /usr/share
+sed -i "s:/usr/local/lib:/usr/share:g" igal2
+
+# Path fix
+sed -i "s:/usr/local:/usr:g" utilities/*
+
+make install DESTDIR=$PKG \
+ BINDIR=$PKG/usr/bin \
+ MANDIR=$PKG/usr/man/man1 \
+ LIBDIR=$PKG/usr/share/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/igal2/igal2.info b/misc/igal2/igal2.info
new file mode 100644
index 0000000000..6fb3692b40
--- /dev/null
+++ b/misc/igal2/igal2.info
@@ -0,0 +1,10 @@
+PRGNAM="igal2"
+VERSION="2.1"
+HOMEPAGE="http://igal.trexler.at/"
+DOWNLOAD="http://igal.trexler.at/igal2-2.1.tar.gz"
+MD5SUM="b6655427146a4590ed6666d5ac29958e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
+APPROVED="dsomero"
diff --git a/misc/igal2/slack-desc b/misc/igal2/slack-desc
new file mode 100644
index 0000000000..515f4696a7
--- /dev/null
+++ b/misc/igal2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+igal2: igal2 (image gallery generator)
+igal2:
+igal2: igal2 is a quick and easy program for placing your images online with
+igal2: just one command-line. It generates a pretty good-looking set of
+igal2: W3-compliant static HTML slides even with its default settings.
+igal2:
+igal2:
+igal2:
+igal2:
+igal2:
+igal2: